OSPRay Gallery
==============

This page contains a few sample screenshots of different renderings done
with OSPRay. If *you* have created any notable images through OSPRay
and would like to share them on this page, please [send us an
email](mailto:ospray@googlegroups.com).

<div class="gallery">

<div class="exhibit">
[![Moana Island Scene](gallery/thumbnails/moana_video-thumb.jpg)](https://www.youtube.com/watch?v=p0EJo0pZ3QI "Moana Island Scene")
<div class="caption">
Real-time screen capture of OSPRay rendering the moana island scene.
</div>
</div>

<div class="exhibit">
[![DKRZ](gallery/thumbnails/dkrz_video-thumb.jpg)](https://youtu.be/aNz22XzjIV0 "DKRZ")
<div class="caption">
Path traced volumetric rendering of clouds in a climate simulation,
courtesy DKRZ Niklas Rober.
</div>
</div>

<div class="exhibit">
[![Rhino Viewport](gallery/thumbnails/rhino_video-thumb.jpg)](https://vimeo.com/405661583 "Rhino Viewport")
<div class="caption">
Real-time screen capture of the "osprey" Rhino plugin by Darby Johnston.
</div>
</div>

<div class="exhibit">
[![Cosmos Video](gallery/thumbnails/cosmos_video-thumb.jpg)](https://vimeo.com/237987637 "Cosmos Video")
<div class="caption">
AMR Volume rendering of a simulation of two black holes colliding using
GRChombo in reference to a LIGO event.  Simulation was conducted by [the
Centre for Theoretical Cosmology (CTC)](http://www.ctc.cam.ac.uk/).
Images were rendered in ParaView by directly sampling the AMR structure
using OSPRay.
</div>
</div>

<div class="exhibit">
[![NASA Parachute Video](gallery/thumbnails/nasa_parachute_video-thumb.jpg)](https://vimeo.com/237987416 "NASA Parachute Video")
<div class="caption">
Parachute Simulation rendered using OSPRay by Tim Sandstrom of NASA
Ames.
</div>
</div>

<div class="exhibit">
[![NASA Booster Video](gallery/thumbnails/nasa_booster_video-thumb.jpg)](https://youtu.be/96U4d1wk23U "NASA Booster Video")
<div class="caption">
Booster Simulation rendered using OSPRay by Tim Sandstrom and Patrick
Moran of NASA Ames.
</div>
</div>

<div class="exhibit">
[![Stellar Radiation Video](gallery/thumbnails/stellar_video-thumb.jpg)](https://vimeo.com/417360212 "Stellar Radiation Video")
<div class="caption">
Stellar Radiation. Visualization by Greg P. Johnson, Intel, and Joseph
Insley, Argonne National Lab, using OSPRay. Simulation provided by the
University of California, Santa Barbara (team leads Yan-Fei Jiang and
Lars Bildsten).
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/bentley-thumb.jpg)](gallery/bentley.jpg)
<div class="caption">
Photorealistic rendering of a Bentley virtual showroom using OSPRay's
path tracer.
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/hdospray-thumb.jpg)](gallery/hdospray.jpg)
<div class="caption">
USD hdOSPRay rendering plugin.
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/rhino-thumb.jpg)](gallery/rhino.jpg)
<div class="caption">
OSPRay Rhino rendering plugin, "osprey".
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/moana1-thumb.jpg)](gallery/moana1.jpg)
<div class="caption">
Moana Island Scene
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/moana2-thumb.jpg)](gallery/moana2.jpg)
<div class="caption">
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/moana3-thumb.jpg)](gallery/moana3.jpg)
<div class="caption">
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/moana4-thumb.jpg)](gallery/moana4.jpg)
<div class="caption">
Moana Island Scene with cloud
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/moana5-thumb.jpg)](gallery/moana5.jpg)
<div class="caption">
Moana Island Scene with backlit cloud
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/clouds-thumb.jpg)](gallery/clouds.jpg)
<div class="caption">
ParaView volume rendering clouds.
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/ospray_studio_dlaf-thumb.jpg)](gallery/ospray_studio_dlaf.jpg)
<div class="caption">
OSPRay Studio application.
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/tapestry-thumb.jpg)](gallery/tapestry.jpg)
<div class="caption">
Tapestry cloud rendering microservice using OSPRay.
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/walls_4k_00-thumb.jpg)](gallery/walls_4k_00.png)
<div class="caption">
10TB simulation of the formation of domain walls in the early universe by
[the Centre for Theoretical Cosmology (CTC)](http://www.ctc.cam.ac.uk/).
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/walls_4k_01-thumb.jpg)](gallery/walls_4k_01.png)
<div class="caption">
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/walls_4k_05-thumb.jpg)](gallery/walls_4k_05.png)
<div class="caption">
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/walls_4k_11-thumb.jpg)](gallery/walls_4k_11.png)
<div class="caption">
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/walls_4k_21-thumb.jpg)](gallery/walls_4k_21.png)
<div class="caption">
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/ospray_stallion-thumb.jpg)](displaywall.html)
<div class="caption">
This shows a photo of OSPRay parallel rendering on TACC's 320 MPixel
"Stallion" Display wall.  [Read more.](displaywall.html)
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/ospTachyon-glpf-thumb.jpg)](gallery/ospTachyon-glpf.png)
<div class="caption">
VMD "GLPF" model; original model courtesy John Stone, UIUC.\
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/ospTachyon-organelle-thumb.jpg)](gallery/ospTachyon-organelle.png)
<div class="caption">
VMD "Organelle", using vdW-representation via ospray spheres. Model
courtesy Carsten Kutzner, MPI BPC, Göttingen.\
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/ospTachyon-ribosome-thumb.jpg)](gallery/ospTachyon-ribosome.png)
<div class="caption">
VMD "ribosome", with balls, sticks, ribbons, and quicksurfs. Model
courtesy Carsten Kutzner, MPI BPC, Göttingen.
</div>
</div>

<div class="exhibit">
[![](gallery/thumbnails/obj-xfrog-thumb.jpg)](gallery/obj-xfrog.png)
<div class="caption">
The "xfrog" model of 1.7 billion (instanced) triangles and transparency
textures. Model originally created using XFrog, model courtesy Oliver
Deussen, University of Konstanz.\
</div>
</div>

</div>
